API documentation | API docs for agents | OpenAPI 3.1

GET /api/v1/billing/documents/{documentId}/pages/{pageNumber}

ark.preview_billing_document_page

Preview Billing Document Page through the authoritative Billing application boundary.

Availability
Expanded preview
Scopes
billing:read
ARK permissions
canViewBilling
Team visibility
Not entity-scoped
Idempotency-Key
Not required
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

documentIdpathstringrequired
format: uuid
pageNumberpathintegerrequired
max: 9007199254740991
sourceVersionIdquerystringrequired
format: uuid

Request body

None.

Example request

Shell
curl 'https://arktms.com/api/v1/billing/documents/<documentId>/pages/<pageNumber>?sourceVersionId=<sourceVersionId>' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  --output 'ark-response.png'

Success response

Exact protected binary content.

No response body.

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry